<div class="container-fluid bg-container-color" style="padding-left: 0; padding-right: 0;"> <!-- CONTENEDOR PRINCIPAL-->
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark"> <!-- NAV BAR> -->
    <a class="navbar-brand" [routerLink]= "['']">
      <img src="assets/images/Imarain_logo.png" width="50" height="30" class="d-inline-block align-top" alt="">IMARAIN
    </a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
  
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" [routerLink]="['/inicio']">Inicio <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item" *ngFor="let category of categories">
          <a class="nav-link" href="#">{{category.name}}</a>
        </li>  
      </ul>
      <ul class="navbar-nav navbar-right" *ngIf="!identity">
        <li class="nav-item active">
            <a class="nav-link" [routerLink]="['/login']">Login</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" [routerLink] = "['/registro']">Registro</a>
        </li> 
      </ul>
      <ul class="navbar-nav navbar-right" *ngIf="identity && identity.name">
        <li *ngIf="identity && identity.image" class="nav-item">
          <div class="avatar-mask">
            <img src="{{url + 'user/avatar/'+ identity.image}}" alt="imagen" class="avatar_nav"/>
          </div>
        </li>
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              {{identity.name + ' '+ identity.surname}}
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
             <!--  <a class="dropdown-item" [routerLink]= "['/inicio']">Canjer código</a> -->
              <a class="dropdown-item" [routerLink]="['/mis-compras']">Mis compras</a>
              <!-- <a class="dropdown-item" [routerLink]="['/crear-categoria']">Catálogo</a> -->
              <div class="dropdown-divider"></div>
              <!-- <a class="dropdown-item" href="#">Mi perfil</a> -->
              <a class="dropdown-item" [routerLink]="['/ajustes']">Ajustes</a>
              <a class="dropdown-item" [routerLink]="['/logout/1']">Cerrar Sesión</a>
            </div>
          </li>
            
      </ul>
    </div>
  </nav> <!--CLOSE NAVBAR-->

  <!--CONTENIDO-->
    <router-outlet></router-outlet>

  <footer>
    <div class="row text-center" style="border-bottom: 1px solid #eee;">
      <div class="col" style="border-right:#eeeeee 1px solid;">
        <a href="https://www.instagram.com/imarain_soundesign/" target="_blank" style="color: #fff;">
          <i class="fa fa-instagram fa-3x"></i>
        </a>
      </div>
      <div class="col" style="border-right:#eeeeee 1px solid;"><i class="fa fa-facebook-square fa-3x"></i></div>
      <div class="col" style="border-right:#eeeeee 1px solid;"><i class="fa fa-whatsapp fa-3x"></i></div>
    </div>
    <div class="row text-center mt-2">
      <div class="col">
        <a href="" class="txt2">
          <h6>
           Acerca de
          </h6>
        </a>
      </div>
      <div class="col">
        <a href="" class="txt2">
          <h6>
            Contacto
          </h6>
        </a>
      </div>
      <div class="col">
        <a href="" class="txt2">
          <h6>
            Bolsa de trabajo
          </h6>
        </a>
      </div>
      <div class="col">
        <a [routerLink]="['/tec-monterrey']" class="txt2">
          <h6>Institucional (Tec de Monterrey)</h6>
        </a>
      </div>
    </div>
   <!--  <h5>
      Imarain company &copy;
    </h5>
    <h5 class="separator">
      Imarain company &copy;
    </h5><h5>
      Imarain company &copy;
    </h5>
 -->  
  </footer>
</div> <!-- CLOSE CONTAINER -->